Bug 711087 - [abrt] libreoffice-calc-3.3.2.2-7.fc15: ScDocument::CopyToDocument: Process /usr/lib/libreoffice/program/scalc.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-calc-3.3.2.2-7.fc15: ScDocument::CopyToDocument: Process /...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:7c4b8c34b9471a35af87624e4c6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-06 10:01 EDT by Alex Ozhegov
Modified: 2012-06-08 10:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 10:18:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dsos (20.23 KB, text/plain)
2011-06-06 10:01 EDT, Alex Ozhegov
no flags Details
File: maps (42.43 KB, text/plain)
2011-06-06 10:01 EDT, Alex Ozhegov
no flags Details
File: backtrace (49.93 KB, text/plain)
2011-06-06 10:02 EDT, Alex Ozhegov
no flags Details

  None (edit)
Description Alex Ozhegov 2011-06-06 10:01:51 EDT
abrt version: 2.0.1
architecture:   i686
cmdline:        /usr/lib/libreoffice/program/scalc.bin -calc file:///media/76FA7CE1FA7C9F55/_work/ssk/%D0%B0%D0%BA%D1%82%20%D0%BF%D1%80%D0%B8%D0%B5%D0%BC%D0%B0%20%D1%81%D0%B8%D1%81%D1%82%D0%B5%D0%BC%D1%8B%20-%20%D0%BD%D0%B0%D0%BF%D0%BE%D0%BB%D0%BD%D0%B5%D0%BD%D0%B8%D0%B55.ods
component:      libreoffice
crash_function: ScDocument::CopyToDocument
executable:     /usr/lib/libreoffice/program/scalc.bin
kernel:         2.6.38.6-27.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        libreoffice-calc-3.3.2.2-7.fc15
rating:         4
reason:         Process /usr/lib/libreoffice/program/scalc.bin was killed by signal 11 (SIGSEGV)
time:           Mon Jun  6 16:46:40 2011
uid:            500
username:       archawka

backtrace:      Text file, 51131 bytes
dsos:           Text file, 20711 bytes
event_log:      Binary file, 12623 bytes
maps:           Text file, 43450 bytes

build_ids:
:612d583909f2927d449f716c1e903df68a634b39
:5029025b6ebdfbda731af5f2a0b8cac2b2aecf66
:394804498dfa4ffd33cc9cd135beb444c49a40d9
:d6ef697e368f1b22719fc30b4fce0943f7198791
:9829b33a45400b0cfb301748c4987b0c5b7e1ae9
:139fcc5ee83d74b17dd8231eb72307d6bdca98ad
:63dfabd51a657914c16a55fc2009cc07296ea39f
:1a051c72e3aa7a4613cf92a5218309b789a96370
:b29661c55e4ace0b15687c7df6c8d12bc844171c
:7debbd15e4bef255656883fcbf778cb8cd85cac9
:c9c72fa82c6102accedaeb4be7c73bb346050687
:92f013ec4a26e0f5d68191e315e5a784fba5bcef
:ab5c24c12d66fdb0b92431c3f63ccef9e160a771
:bc1bb6df7bfb174a1a73dbe2118d65e5539e2066
:f2049de6aef9c61c034bc708909eab56dc537348
:f9a96e2ed036ba670aa4cf9022515da8707b22de
:30b747586eca4ab824558c83d0d3f49e66935358
:e18695e040cee33414bc758c8716824d97f1ee7d
:b77cf5daec8f03058ec69145f742e26596603121
:e5478188434d593e03c1eb20725e1fe097bbcd69
:6400f8b1506a2b01270ddb7fa0d07487fc7dbaa6
:2fac1d32874632dd8c8a5d62c3652550e89fa1a9
:0c14e19cfa71be8dbee7582f9b90d4a5b886051e
:fb2b1087f73d90e723a7f01ef564688825ea0f69
:367ce00910103d0f05e38e49763f7ad5dc7080c1
:f6576e2d8aa1786fe17a1fed8ae28d5c242aaf18
:0d04c271032bbb821f18e7ed384ea020c338731a
:210a62e7076440c4e73392277e7cd826cd8402e0
:798697a352bae4178953ba502fb04f33dd0ed987
:a84af577539b1927eb6cbf562684063413d1c69b
:92a9033bbedc303317346dc414914fec5643bd7b
:b6a0eefa5cb00beea78652293c4da608cf7dc9b3
:84b057caeb7f80b34a00c58b3684cc85c66651c3
:fe48312128540c0494d9b74e6725af8f17a250c9
:c6cdc619eac81afd5770e49e06c7459744c95248
:4da060e850530846fdb31fb07b46e8c12cd99ab7
:de14b17e313c8cc293e882bf828781b0b7e68208
:17677bc1d579a76bb1b7fc57b3e7454478953230
:c4de7f3c6f6b0fcdfd7facc73667675346ded36a
:08acb0a715c0e1a9459a6b9a5de6fe0110b7539d
:223b0eefcd1723fd571dd9fa9c7e773688bab43f
:dbe99c051e74acf87a415f0cc61b6fc02eef78e6
:e195e96c3b4e414130e58547c9f1d2fe106e0954
:b51d82e58cf1d3dab20e44b114cfcf7ee1f31c74
:e1fc6609506e27bac561dd3c3322de73dca87020
:3728e71c7762c0fc37b8a64b2e61867ecd9dc149
:051b3ad269d8b1e82edab0c8c60c20314591ec48
:141cb751a39df2fc7d01612a6c5ce59e370c03e5
:14553fd64c3391287f7266322d8706aebb7e3d5e
:011b51795bfbec196db4148696faca519ce01aa1
:444633e2d4a8c0369bfe1d86674308ffdd9abc6d
:81ff772daaff0d0698b9f6bc5d1aa7e0bb11e55e
:a02877cf0ec69cc54743ac3637fd9730f776edfe
:c3663c48ffbb07135c2ae8379d064729beeb0597
:6e5b569d683e29274c7b273d3a3aabdd0b51deb6
:5da213dd4857807d1e177aa638b4804fe187506e
:10991fed3ea13faa74e3779584df6cbbaa2199e2
:d646694a4344c1128bbc3b438964063554a3a6bd
:a90b8827e7227f9b8aeb0480dc63436141d43507
:7777be72e4df84d03fc195b11b6dc3cd38163c7f
:62ae604327ed68a25a3625cd0a8c5f3b30636be2
:1ae9440fa8fe48f9bb2518a8543130901f83476b
:5cf14e251978e8f9192ad52b396136d7f9f22f26
:299a57abe3a1c838f139ccb56e65306b799083c1
:2dc4e4ea515eca25191148452fac07de08443eb8
:b4f8b453c124f1bcf32ee8273b7e7f149202ff68
:7875646b4ab3ceb0c3fbcf0293d913c02fd140b7
:a0b366e13cecd6a811ac0afa3481d443b583aa4c
:bc76dbec1798a752a67125220e9d18179bde71cd
:c3fd235c484b04d63c4480e500c8c2a543e9ce57
:27ca9c3e3a73d5824d4e657cc82f53d1e8473ca4
:83f8eb5551a7ddb2471e110d40c7279ca0532129
:f5972ca949be5ea714d53769e532478f9d1b6f56
:5486fc219c90bea089ffda1aec3d00cdb8a8f916
:d19b5e5438048f9bfc6e36a3f986479f7e3ba4f1
:cdeab002bdfdf2ad16684292fb39bc8fd1d736bd
:314e84e9bdc8fc7794389b8c790cb93f71d2e8de
:4104e70664651830d4d7bc8cfc3278e06a0d62d0
:f18c6652b507acbc399c927092ff86ef2ccdc9f6
:59ec91c3f1d48120125f1fd07676d8aa793ff5fc
:0ba3b5328188515423020b9f0be0e8f17e14d7aa
:b66a4edca248e3374f2b1614cfeb38e9cc3f51e4
:7fe85d5c2b64f27f69d65b7a05cd400090a6762f
:4fdeb1d08939640c6023c52bdd9bff72d4d00b51
:9d1cabc3efcf87fd9e1c3389510e9e88ae3a6cd8
:62f95e57bc5d5c38b28fd960790a5c0989dd587b
:80b908a2848532b624d34f5d96fb83a9e26ad92f
:49874797bcf4bda74a79ba903b8372e09520c681
:fab27fc6535e9eb40d4c3dbea82b8e6fdef08553
:fc8cc2ebdda0785d8cb68d88cb73e44822b18654
:26e2d21e4ff97254744c744facc1e8ac4e54c57a
:3fc367281f1e75be9a20699c5f3fb03d900e96f0
:f2680ac1afdcb3af977165a231379bb08e171002
:e7fefb79c26f14d53a8d3308fff5eda34b92fd73
:b562ff19a6c2516636fd4447a97c57742f5dabf2
:26883f508da875084090d8220f276dbda913957f
:af95c4698a32dd69aeb960e5741d814f52f5d0ff
:45190d029703ca464ad5c5eb6b7f99426a51a2e3
:ae5536b99061812c9f5be13a4b2e3dee30a94501
:c1537b9e988c815209c6dcfd9e8a3c4e52a4503e
:83fe69c88511cf036f5f5b51fc3d906b2351d51e
:23126db00b3dcacfe5dc1af20dc8934a81038b16
:f4990d62b7d0de5bce3f44c487509f32f3f117d7
:5d86d516501190bd56650ce243e9518a192cc4d6
:60d2636b32f3626e539c091621cc013c52da5c5a
:cafba180b0821f28b3c48b91597e873ff40c2f12
:86e6b1f6485c8e74c8407c621fef60aa082fcc6f
:7827a07c196572aece8b2ef2c9bebef4deacb6e5
:054a642fe79783de1d0dcd42f189072068547da7
:ff72394ee27216c2380a40a6c86ba8474d269c94
:8a9eb70c11cf848614f80236c95982b9d183d5c6
:ddf51f5dcc96b85e5d58da5ebe9a4c3a6949a67b
:826bb4d8376c62b913b61301b276adab50e11c5a
:5404c730578b4f116d71f0450b0622668b5a7217
:c25551e4f8f283ab55cb499112f486009e924d42
:80c2a0b30c107ea7f014951c6a8f6886f5eb3442
:23d1086014ed5544b3df4cee1f95694032252322
:c246b6e25272b73ffbf4be8e5407fd6b6ad00837
:f233d63047dd706de58d72f875b0e06deaf8922d
:6ba5ed6f983130e941bd711497b94f2f0324042c
:01d7a046e38631bde0da2f1832acd7e6841821ab
:030b651bfa42f57fde8249f7c6d3ece6d1f57343
:3d82fcc3ee7ab6675d8b22de42a7c1158f04c30e
:bef86c7f93bc7a3ae7faaddf21ac27dda434e446
:51862c549fec19fab57d728e683b5f90c38b8c6d
:28b8cc9cda751c67558ec59cc16019154ebf56ae
:fdccd8924f8cb8b75e07cc5178f232a37f8a3879
:c5e4b2cd780334802473d83fdf9ca0eabb88ee5f
:3315c5df9ef78b4836cffd5bc39f02777547176c
:74e5e2d67097d034bc13038fb5ed35420dc81335
:0a83714faffd6f7871d747ccab838c6dbf75f0ed
:ed607948613c46e0949b5c670fb148b321170525
:00c9d21d7f4e63cb8019f666391b5d6fe0eed897
:b70e4818fe0cd74e19bb16629722533eb46a6b25
:c8b4343fa345ce2900fb8271edaeb0f372ed7334
:e17b15a2753d4e06d006add1aa7aca91b4f94b70
:03eced064474e99a9cfa0b87ff227aa52cb6678e
:97845cb2720bca8939ad32f1cab67f27a2c1921f
:8ab345908bcd97cf8de5f656e765d4e50408678f
:399c1bcae2972864286676a7e1b465f98aff3517
:4fb5ccf471618f81c48ae541407f06853a373390
:9b74e05fa75cf73df1da0c05a7b1528f0ec8a0f0
:4a437e719e18a34bb25772719f471f8f998d826f
:17f5293411d2d2cc66d48c5ab9d14c85aa92debd
:7787b86f9784dc1968f61124e20efb8a82019a56
:b8af720973644fdc106afb6eaf8ac034ebb81061
:73eb8821afa3be8d0655714338a87c451302839a
:cc7cfc55e0f178054b88bce10c93d97b04b6fdc4
:2f764bebdc7c11341fa123b5fdcb369ecc8b5451
:c2fd31548cac66b7614387e47dcbcfba31a6e4c6
:2a0cd3e9ca444c925681bcc5a78366a511ce0a77
:07fd351eaaba30fe082a836e29c03d5f11f45edd
:4f8f623be9584d9bdee7a515c44a0641ab895863
:2dae0d7342ca8934d8bc037c7d5397dbc3b26c66
:29b5e5d04d5b47f1d4f5e942ae6bd92359e646f3
:41ebc1962e3e6647ec97e79ee530d63e02582234
:d4ed128ec9cc651b27c63ad325cf95af24ee726f
:a240ab21b06de9d167272d0ed01518f9061a4064
:94c3da1e3566c757f6b87166fb7416db2dff479f
:8434b36dea574092b3697b2fb85c10326e57393c
:c2ae9a2b66150928978fbcc8e9c1368784ff6542
:b4da99bcefa83f434c08e50bcb28194b8a2a385f
:15bab279752ad8e30f901abae77bcb1ed1f38977
:072af1fecd6245edcaa3189e282b1c0d98ee5b58
:8ffa53069ed59d06d778f301c69fba159f3acc29
:5d04bd08db9c370ef7e14915bd6bb6a84301f701
:ecc2ffb2d1596b3195a4f8cd5aa068383f96c71c
:54e9dc874e550ab0f4c29f24a050c88a28d883d7
:83a19e31566f8824ffa960b2d5cb2278a5329f05
:ce1e8758b82f18e1f8036c66db4c8cd808f9de1d
:793514a15c46acedfd32e1bd21c322c60a400b98
:199d43438c6e10a8dba8f047f47b694800a1a7d7
:308171fe80f4115dae89d4a2b95780398c4e5e2c
:af230612c8e4e5fe11600189cf7449703eefe60a
:872fe6020efffe0829a231da5dd4e51f41a4dce3
:fb7a41539f3c7fb347e05abbe3ea38e2babcbbb1
:3c20a2ccae36221e6837c3c6add616865efac620
:1ecbaf5c5ac1f22012c83df335687b3c09ae5289
:c884bdcce8ac5e5245107814238166991557cd5e
:214ee856702e77a7ab93edb11c0a3cbe23ea8ef2
:55433495aa80cf9e1f994ea7e7ae278422ef1ede
:57e358eea7e9a0cdd0ccacc3119b609bed0d8a5c

environ:
:ORBIT_SOCKETDIR=/tmp/orbit-archawka
:XDG_SESSION_ID=19
:HOSTNAME=nb02.ash
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=5197
:GPG_AGENT_INFO=/tmp/keyring-4VjEDs/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=nautilus-5178-nb02.ash-libreoffice-0_TIME61430259
:HISTSIZE=1000
:XDG_SESSION_COOKIE=0e27a73cb3ecd6c8b41ac28100000010-1307359574.405621-847142008
:OLDPWD=/usr/lib/libreoffice/program
:GNOME_KEYRING_CONTROL=/tmp/keyring-4VjEDs
:'IMSETTINGS_MODULE=X compose table'
:USER=archawka
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/native_threads:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386
:SSH_AUTH_SOCK=/tmp/keyring-4VjEDs/ssh
:USERNAME=archawka
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/4626,unix/unix:/tmp/.ICE-unix/4626
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-calc.desktop
:MAIL=/var/spool/mail/archawka
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/archawka/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/archawka
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=4618
:LANG=ru_RU.utf8
:GDM_LANG=ru_RU.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/archawka
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=archawka
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-hkE5jMrOGz,guid=5453a3c181299fe7f975b9d80000ef9b
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=7
:XDG_RUNTIME_DIR=/run/user/archawka
:DISPLAY=:0.0
:GTK_IM_MODULE=xim
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-archawka-Kf74MV/database
:_=/usr/lib/libreoffice/program/scalc.bin
Comment 1 Alex Ozhegov 2011-06-06 10:01:55 EDT
Created attachment 503238 [details]
File: dsos
Comment 2 Alex Ozhegov 2011-06-06 10:01:58 EDT
Created attachment 503239 [details]
File: maps
Comment 3 Alex Ozhegov 2011-06-06 10:02:01 EDT
Created attachment 503240 [details]
File: backtrace
Comment 4 David Tardon 2011-06-07 07:26:55 EDT
If I understand the code correctly, it happened on undoing splitting merged cells (format->cells->split), right? Can you reproduce it?
Comment 5 Alex Ozhegov 2011-06-07 12:50:37 EDT
David, thanks for your reply.
Indeed, I tried to merge cells. Because before that I worked with Microsoft Office, I did not expect that a simple copy already merged cells will lead to their separation. In the end, I gave a lot of merge and follow undo this operations, which led to the crash...
I can't reproduce this, sorry.
Comment 6 Caolan McNamara 2011-06-17 11:18:13 EDT
can't reproduce, but if we can believe gdb then its a NULL pUndo somehow or other, checked in band-aid for immediate crash. Probably wouldn't help much in the real world

Will be in >= 3.3.3.1-2
Comment 7 Caolan McNamara 2012-06-08 10:18:57 EDT
this fix was pushed to a f-15 update

Note You need to log in before you can comment on or make changes to this bug.